import * as utils1 from './utils';
import * as utils2 from './system/cacheService';
import * as utils3 from './system/router';
import * as utils4 from './system/request';
// 动态合并所有导出到 yds 对象
export const com = {
	...utils1,
	...utils2,
	...utils3,
	...utils4,
};


export const useLogin = async () => {
	return new Promise((resolve) => {
		uni.login({
			provider: 'weixin', //使用微信登录
			success: function (loginRes) {
				// console.log(loginRes);
				resolve(loginRes.code)
			}
		});
	});
}